Korriger: Feil når du installerer SQL Server 2012 eller SQL Server-2014 på en server som har TLS 1.2-aktivert

VIKTIG: Denne artikkelen ble oversatt med maskinoversettelsesprogramvare fra Microsoft og muligens redigert av Microsoft Community via CTF-teknologi i stedet for av en oversetter. Microsoft tilbyr både menneskelig oversatte og maskinoversatte/Community-redigerte artikler, slik at du får tilgang til alle artiklene i vår Knowledge Base på ditt eget språk. En maskinoversatt eller Community-redigert artikkel er imidlertid ikke alltid perfekt. Den kan inneholde feil i vokabular, syntaks eller grammatikk, mye likt en fremmedspråklig som forsøker å snakke språket ditt. Microsoft har ikke ansvar for unøyaktige opplysninger, feil eller skade forårsaket av feilaktig oversettelse av innholdet eller kundenes bruk av informasjonen. Microsoft oppdaterer jevnlig maskinoversettelsesprogramvaren og -verktøyene for å forbedre redigering av maskinoversatte tekster.

Den engelske versjonen av denne artikkelen er den følgende: 3135769
Symptom
Når du prøver å installere Microsoft SQL Server 2012 eller SQL Server-2014 på en server som har sikkerhet TLS (Transport Layer) versjon 1.2-aktivert, kan du få følgende problemer:
  • Hvis ikke versjonen av SQL Server som du prøver å installere inneholder løsningen du aktiverer støtte for TLS 1.2 (Hvis du vil ha mer informasjon om build som legger til støtte for TLS 1.2, se KB 3052404), får du følgende feilmelding:

    Vent på databasemotoren gjenoppretting av referanse mislyktes. Se i feilloggen for SQL Server for mulige årsaker.
  • Hvis versjonen av SQL Server som du prøver å installere gjør inneholder løsningen du aktiverer støtte for TLS 1.2, får du følgende feilmelding:

    Ble opprettet en tilkobling til serveren, men deretter oppstod det en feil under håndtrykket. (leverandør: navngitte datakanaler leverandør, feil: 0 - Ingen prosess er i den andre enden av datakanalen.)
I begge disse situasjonene mislykkes installeringen.
Årsak
Dette problemet oppstår fordi installasjonsprogrammet for SQL Server bruker SqlClient for ADO.NET fra .NET Framework 2.0. Som standard er .NET Framework 2.0 fungerer med TLS 1.0.
Løsning
Hvis du vil løse dette problemet, installerer samleoppdateringen for .NET Framework, og Start serveren på nytt. Bruk følgende tabell til å finne den aktuelle hurtigreparasjonen, basert på operativsystem og SQL Server-versjon du kjører:
Workaround
Hvis du vil omgå dette problemet, gjør du følgende:
  1. Aktiver TLS 1.0 på serveren.
  2. Start serveren på nytt.
  3. Kjør installasjonsprogrammet for SQL Server 2012 eller SQL Server 2014, og oppdatere SQL Server-versjonen til en versjon som støtter TLS 1.2. (Hvis du vil ha mer informasjon om oppdateringer som legger til støtte for TLS 1.2, seKB 3052404.)
  4. Deaktivere TLS 1.0.
  5. Start serveren på nytt.
Obs! Når du prøver å installere en versjon av SQL Server 2012 eller SQL Server-2014 som ikke inneholder løsningen du aktiverer støtte for TLS 1.2, må du alsouse denne midlertidige løsningen.
Status
Microsoft har bekreftet at dette er et problem i Microsoft-produktene som er oppført i delen "Gjelder for".
Referanser
Lær mer om den terminologi som Microsoft bruker for å beskrive programvareoppdateringer.

Advarsel: Denne artikkelen er autooversatt

Egenskaper

Artikkel-ID: 3135769 – Forrige gjennomgang: 01/30/2016 03:50:00 – Revisjon: 2.0

Microsoft SQL Server 2012 Developer, Microsoft SQL Server 2012 Enterprise, Microsoft SQL Server 2012 Express, Microsoft SQL Server 2012 Standard, Microsoft SQL Server 2012 Web, Microsoft SQL Server 2014 Developer, Microsoft SQL Server 2014 Enterprise, Microsoft SQL Server 2014 Express, Microsoft SQL Server 2014 Standard, Microsoft SQL Server 2014 Web

  • kbfix kbqfe kbexpertiseadvanced kbsurveynew kbmt KB3135769 KbMtno
Tilbakemelding